/*This SQL script uses the Demo database.

  This example illustrates use of FULL JOIN action. 
  This query retrieves all event names and places where
  they happen. Venue is attached to event name if value
  of field "VenueNo" is equal in both tables. If there is
  no corresponding venue for event, then NULL is placed beside
  it. Likewise, if a corresponding event for a venue couldn't be
  found, NULL is placed to the left of it.*/

select Event_Name, Venue
from Events LEFT OUTER join Venues on Events.VenueNo = Venues.VenueNo
order by Event_Name, Venue
